'==========================================================================
'
' VBScript Source File -- Created with SAPIEN Technologies PrimalScript 2007
'
' NAME: Upload.VBS
'
' AUTHOR: Nico , GV
' DATE  : 3-11-2015
'
' COMMENT: Load the servodecoder software and start Putty
'==========================================================================

Const HKEY_LOCAL_MACHINE = &H80000002
Dim Port, return, Cmd, objShell, txt

Set objShell = CreateObject("WScript.Shell")

On Error Resume Next
Port=objShell.RegRead("HKCU\Software\SimonTatham\PuTTY\Sessions\Arduino\SerialLine")
If Port="<COM>" or Port="" Then
	MsgBox "USB-Serial drivers not properly installed!",4096+16,"ASAR decoder"
	WScript.Quit
End If

'Now loading servo decoder
Cmd="Arduino_debug.exe --upload --board arduino:avr:uno --port " & Port & " --save-prefs .\ASAR\ASAR.ino"
'msgbox Cmd
return = objShell.Run (Cmd ,1,True)
if return>0 Then
	MsgBox "Uploading the decoder software has failed; error: " & CStr(return), 4096+16,"ASAR decoder"
	WScript.Quit
End If
txt= "The ASAR software is succesfully installed on your Arduino!"
txt=txt + VbCrLf + "Click OK to start the configuration"
MsgBox txt,4096+64,"Arduino Servo decoder"

'Now starting Putty
Set Fso = CreateObject("Scripting.FileSystemObject")
Logpad=objShell.SpecialFolders("MyDocuments") & "\Arduino\ASAR\ASAR"
strLog = Logpad & ".log"
'If Fso.FileExists(strLog) Then Fso.DeleteFile strLog
Cmd="Putty.exe -load Arduino"
objShell.Run Cmd ,1,True
If Fso.FileExists(strLog) Then
    strLogN = Logpad & "_" & Date & "_" & Mid(Cstr(Time),1,2) & "h" & Mid(Cstr(Time),4,2) & "m.log"
	Fso.MoveFile strLog,strLogN
End If
Set Fso = Nothing
Set objShell = Nothing	
WScript.Quit